Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## weblogic.wtc.jatmi
Class TPServiceInformation

    java.lang.Object
      |
      +--weblogic.wtc.jatmi.TuxedoReply
            |
            +--weblogic.wtc.jatmi.TPServiceInformation

public class TPServiceInformation
extends TuxedoReply
implements Conversation

This class represents all the information needed to run a service

Author:
  BEA Systems, Inc.
See Also:
  Serialized Form

Method Summary
`TypedBuffer` | `getServiceData()` Returns the service data for this service
`int` | `getServiceFlags()` Returns the flags associated with this service.
`java.lang.String` | `getServiceName()` Returns the service name this service is running
`java.lang.String` | `toString()` Returns string version of the TPServiceInformation object
`void` | `tpdiscon()` All of the parameters here are the same as in the conversation interface.
`Reply` | `tprecv(int flags)` All of the parameters here are the same as in the conversation interface.
`void` | `tpsend(TypedBuffer data, int flags)` All of the parameters here are the same as in the conversation interface.

Methods inherited from class weblogic.wtc.jatmi.TuxedoReply
`getCallDescriptor, getReplyBuffer, gettpurcode, setCallDescriptor, setReplyBuffer, settpurcode`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Method Detail

### getServiceName

    public java.lang.String getServiceName()

  Returns the service name this service is running

  Returns:
    the service name that is being called

### getServiceData

    public TypedBuffer getServiceData()

  Returns the service data for this service

  Returns:
    the service data for this service invocation

### getServiceFlags

    public int getServiceFlags()

  Returns the flags associated with this service. Valid flags are
  - ApplicationToMontorInterface.TPNOREPLY - No reply necessary
  - ApplicationToMontorInterface.TPCONV - This is a conversation
  - ApplicationToMontorInterface.TPSENDONLY - The service can send only
  - ApplicationToMontorInterface.TPRECVONLY - The service can receive only

  Returns:
    the service flags associated with this service

### tpsend

    public void tpsend(TypedBuffer data,
                       int flags)
                throws TPException

  All of the parameters here are the same as in the conversation interface. Note that since this is being called from a service invokation that we are always the subordinate in the conversation
  Specified by:
    tpsend in interface Conversation

  See Also:
    `Conversation`

### tprecv

    public Reply tprecv(int flags)
                 throws TPException,
                        TPReplyException

  All of the parameters here are the same as in the conversation interface. Note that since this is being called from a service invokation that we are always the subordinate in the conversation
  Specified by:
    tprecv in interface Conversation

  See Also:
    `Conversation`

### tpdiscon

    public void tpdiscon()
                  throws TPException

  All of the parameters here are the same as in the conversation interface. Note that since this is being called from a service invokation that we are always the subordinate in the conversation
  Specified by:
    tpdiscon in interface Conversation

  See Also:
    `Conversation`

### toString

    public java.lang.String toString()

  Returns string version of the TPServiceInformation object

  Overrides:
    toString in class TuxedoReply

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs70
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004 BEA Systems, Inc. All Rights Reserved.
WebLogic Server 7.0 API Reference